Subject: Re: [PATCH] powerpc: Add MPC837x PCIE controller RC mode support

From: Arnd Bergmann <[email-masked]>
Date: Thu, 3 Jan 2008 11:14:02 +0100

On Thursday 03 January 2008, Li Li wrote:
> 
> > It's easy enough to just panic() if you find more than one primary
> > bus, 
> > since the information from the device tree is static enough that one 
> > will know how to fix this after seeing the error.
> > 
> 
> It is just a case. what about if do not find primary pci host.
> The current code can prevent this potential error and make system
> robust.

After some more research, I noticed that the distinction between
primary and secondary host bridges will go away _anyway_, so
I guess we shouldn't worry about it too much.

On powerpc64, we already don't care, as the arch/powerpc/kernel/isa-bridge.c
code takes care of legacy I/O areas there, instead of the PCI code.
It's only needed on machines with legacy ISA devices (PC keyboard,
floppy, ...), and those can be converted to use the isa-bridge code
at some point.

	Arnd <><